## com.thingmagic
Class Gen2.BlockWrite

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.BlockWrite

Enclosing class:
  Gen2

    public static class Gen2.BlockWrite

extends TagOp

Block Write

Field Summary
`Gen2.Bank` `Bank` the tag memory bank to write to
`short[]` `Data` the bytes to write
`byte` `WordCount` the number words to write
`int` `WordPtr` the word address to start writing to

Constructor Summary
`Gen2.BlockWrite(Gen2.Bank bank, int wordPtr, byte wordCount, short[] data)` Constructor to initialize parameters of Block

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Bank

    public Gen2.Bank Bank

  the tag memory bank to write to

### WordPtr

    public int WordPtr

  the word address to start writing to

### WordCount

    public byte WordCount

  the number words to write

### Data

    public short[] Data

  the bytes to write

Constructor Detail

### Gen2.BlockWrite

    public Gen2.BlockWrite(Gen2.Bank bank,
                           int wordPtr,
                           byte wordCount,
                           short[] data)

  Constructor to initialize parameters of Block

  Parameters:
    `bank` - The tag memory bank to write to
    `wordPtr` - Word Address to start writing to
    `wordCount` - The length of the data to write in words
    `data` - Data to write